[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# EOutOfResources

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Exception raised when the system is out of resources.

## Declaration

Source position: classesh.inc line 144

`type EOutOfResources = class(EOutOfMemory)`

## Inheritance

`EOutOfResources` |  | Exception raised when the system is out of resources.
`EOutOfMemory` |  | Out of memory error.
`EHeapMemoryError` |  | Heap memory error
`Exception` |  | Base class of all exceptions.
`TObject`

## Description

This exception is not used in Free Pascal, it is defined for Delphi compatibility purposes only.